#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>
#include <stdlib.h>

int main() {
    char tmp[] = "/tmp/jmayerXXXXXX";
    int fd;

    /* temp. Dateiname mit mkstemp() erzeugen und dabei Datei auch gleich ffnen etc.;
     * "XXXXXX" muss am Ende des Templates stehen und wird ersetzt */
    if ((fd = mkstemp(tmp)) < 0)	/* Parameter von mkstemp() wird veraendert! */
	perror("mkstemp"), exit(1);

    /* danach Dateinamen loeschen -- I/O-Verb. zur Datei immer noch via fd! */
    unlink(tmp);
    
    /* Arbeiten mit der temp. Datei 
     * z.B. read() und write() ...
     */
    
    /* nun aber wirklich die Inode und den Plattenplatz freigeben */
    close(fd);
    
    return 0;
}

