#include <stdio.h>
#include <unistd.h>
#include <fcntl.h>
#include <stdlib.h>

#define BUFSIZE 128

int main() {
    char tmp[BUFSIZE];
    int fd;

    /* oder Namen mit der Prozess-ID selbst erzeugen */
    sprintf(tmp, "/tmp/jmayer%d", (int) getpid());

    /* temporaere Datei oeffnen -- aber nur, wenn sie noch nicht existiert */
    if ((fd = open(tmp, O_RDWR | O_CREAT | O_EXCL, 0600)) < 0)
	perror("open"), exit(2);
    
    /* danach Dateinamen loeschen -- I/O-Verb. zur Datei immer noch via fd! */
    unlink(tmp);
    
    /* Arbeiten mit der temp. Datei 
     * z.B. read() und write() ...
     */
    
    /* nun aber wirklich die Inode und den Plattenplatz freigeben */
    close(fd);
    
    return 0;
}

